TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Put_ ( alist A, any key, any val )

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.
Success | any | (Default: SUCCESS) | Determines what to return in case of success.

### Description

<shortdoc> Associate `key' with `val' in alist `A' and return FAILURE on failure.
Note: `A' is modified by side-effect. </shortdoc>

### Examples

A:=Alist(); Put_(A,1,"foo"); A;

### See also

Put ( alist, any, any ) -> alist

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack